.TH wxPickerBase 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPickerBase \- See external documentation: wxPickerBase\&.
.SH DESCRIPTION
.LP
See external documentation: wxPickerBase <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPickerBase()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
setInternalMargin(This::wxPickerBase(), Newmargin::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasesetinternalmargin>\&.
.RE
.LP
.B
getInternalMargin(This::wxPickerBase()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasegetinternalmargin>\&.
.RE
.LP
.B
setTextCtrlProportion(This::wxPickerBase(), Prop::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasesettextctrlproportion>\&.
.RE
.LP
.B
setPickerCtrlProportion(This::wxPickerBase(), Prop::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasesetpickerctrlproportion>\&.
.RE
.LP
.B
getTextCtrlProportion(This::wxPickerBase()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasegettextctrlproportion>\&.
.RE
.LP
.B
getPickerCtrlProportion(This::wxPickerBase()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasegetpickerctrlproportion>\&.
.RE
.LP
.B
hasTextCtrl(This::wxPickerBase()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasehastextctrl>\&.
.RE
.LP
.B
getTextCtrl(This::wxPickerBase()) -> wxTextCtrl() (see module wxTextCtrl)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasegettextctrl>\&.
.RE
.LP
.B
isTextCtrlGrowable(This::wxPickerBase()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbaseistextctrlgrowable>\&.
.RE
.LP
.B
setPickerCtrlGrowable(This::wxPickerBase()) -> ok
.br
.RS
.LP
Equivalent to setPickerCtrlGrowable(This, [])\&.
.RE
.LP
.B
setPickerCtrlGrowable(This::wxPickerBase(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {grow, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasesetpickerctrlgrowable>\&.
.RE
.LP
.B
setTextCtrlGrowable(This::wxPickerBase()) -> ok
.br
.RS
.LP
Equivalent to setTextCtrlGrowable(This, [])\&.
.RE
.LP
.B
setTextCtrlGrowable(This::wxPickerBase(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {grow, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbasesettextctrlgrowable>\&.
.RE
.LP
.B
isPickerCtrlGrowable(This::wxPickerBase()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpickerbase\&.html#wxpickerbaseispickerctrlgrowable>\&.
.RE
